linux: 2.6.32-64.128 -proposed tracker

Bug #1338946 reported by Luis Henriques on 2014-07-08
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Luis Henriques
Prepare-package-lbm
Medium
Luis Henriques
Prepare-package-meta
Medium
Luis Henriques
Prepare-package-ports-meta
Medium
Luis Henriques
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Lucid
Medium
Unassigned

Bug Description

This bug is for tracking the 2.6.32-64.127 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 08. July 2014 08:49 UTC
kernel-stable-Prepare-package-end:Tuesday, 08. July 2014 17:10 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 08. July 2014 17:10 UTC
ppa-package-testing-start:Tuesday, 08. July 2014 17:10 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 09. July 2014 16:05 UTC
kernel-stable-Verification-testing-start:Wednesday, 09. July 2014 18:04 UTC
kernel-stable-Certification-testing-start:Wednesday, 09. July 2014 18:05 UTC
kernel-stable-Security-signoff-start:Wednesday, 09. July 2014 18:06 UTC
kernel-stable-Regression-testing-start:Wednesday, 09. July 2014 18:06 UTC
kernel-stable-Regression-testing-end:Saturday, 12. July 2014 16:02 UTC
kernel-stable-Verification-testing-end:Monday, 14. July 2014 13:05 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 16. July 2014 20:04 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 16. July 2014 21:10 UTC

CVE References

Luis Henriques (henrix) on 2014-07-08
tags: added: kernel-release-tracking-bug
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Lucid):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ec2 - bug 1339215

description: updated

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2014-07-09
description: updated
Brad Figg (brad-figg) on 2014-07-09
description: updated
Para Siva (psivaa) on 2014-07-12
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2014-07-12
description: updated
Brad Figg (brad-figg) on 2014-07-14
description: updated
Luis Henriques (henrix) on 2014-07-16
summary: - linux: 2.6.32-64.127 -proposed tracker
+ linux: 2.6.32-64.128 -proposed tracker
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.32-64.128

---------------
linux (2.6.32-64.128) lucid; urgency=low

  [ Upstream Kernel Changes ]

  * l2tp: Privilege escalation in ppp over l2tp sockets
    - LP: #1341472
    - CVE-2014-4943

linux (2.6.32-64.127) lucid; urgency=low

  [ Luis Henriques ]

  * Merged back Ubuntu-2.6.32-62.126 security release
  * Revert "x86_64,ptrace: Enforce RIP <= TASK_SIZE_MAX (CVE-2014-4699)"
    - LP: #1337339
  * Release Tracking Bug
    - LP: #1338946

  [ Upstream Kernel Changes ]

  * ptrace,x86: force IRET path after a ptrace_stop()
    - LP: #1337339
    - CVE-2014-4699

linux (2.6.32-63.126) lucid; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1335875

  [ Upstream Kernel Changes ]

  * net: check net.core.somaxconn sysctl values
    - LP: #1321293
  * sysctl net: Keep tcp_syn_retries inside the boundary
    - LP: #1321293
  * ethtool: Report link-down while interface is down
    - LP: #1335049
  * futex: Prevent attaching to kernel threads
    - LP: #1335049
  * auditsc: audit_krule mask accesses need bounds checking
    - LP: #1335049
  * net: fix regression introduced in 2.6.32.62 by sysctl fixes
    - LP: #1335049
  * Linux 2.6.32.63
    - LP: #1335049
  * lib/lzo: Rename lzo1x_decompress.c to lzo1x_decompress_safe.c
    - LP: #1335313
    - CVE-2014-4608
  * lib/lzo: Update LZO compression to current upstream version
    - LP: #1335313
    - CVE-2014-4608
  * lzo: properly check for overruns
    - LP: #1335313
    - CVE-2014-4608
 -- Luis Henriques <email address hidden> Mon, 14 Jul 2014 16:33:33 +0100

Changed in linux (Ubuntu Lucid):
status: New → Fix Released
Brad Figg (brad-figg) on 2014-07-16
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
John Johansen (jjohansen) wrote :

USN already published

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers